import request from '@/utils/request'

// 查询诊疗结果列表
export function listDiagnosis(query) {
  return request({
    url: '/diagnosis/diagnosis/list',
    method: 'get',
    params: query
  })
}

// 查询诊疗结果详细
export function getDiagnosis(id) {
  return request({
    url: '/diagnosis/diagnosis/' + id,
    method: 'get'
  })
}

// 新增诊疗结果
export function addDiagnosis(data) {
  return request({
    url: '/diagnosis/diagnosis',
    method: 'post',
    data: data
  })
}

// 修改诊疗结果
export function updateDiagnosis(data) {
  return request({
    url: '/diagnosis/diagnosis',
    method: 'put',
    data: data
  })
}

// 删除诊疗结果
export function delDiagnosis(id) {
  return request({
    url: '/diagnosis/diagnosis/' + id,
    method: 'delete'
  })
}
